# Function ngRefDirective

- ngRefDirective(
  $parse: any,
  ): {
  priority: number;
  restrict: string;
  compile(
  tElement: any,
  tAttrs: any,
  ): (scope: any, element: any, attrs: any) => void;
  }

  #### Parameters

  - $parse: any

  #### Returns {
  priority: number;
  restrict: string;
  compile(
  tElement: any,
  tAttrs: any,
  ): (scope: any, element: any, attrs: any) => void;
  }

  - Defined in src/directive/ref/ref.js:32

##### Index

### Properties

$inject

## Properties

### $inject

$inject: string[]

- Defined in src/directive/ref/ref.js:31